Portfwd(8)

NAME
Portfwd - Port forwarding daemon

SYNOPSIS
portfwd -h
portfwd -v
portfwd [-d ...] [-g] [-t] [ -c config-file ]

DESCRIPTION
This manual page documents briefly the Portfwd program.

Portfwd stands for port forwarding daemon. It's a small userland tool which forwards incoming TCP connections and/or UDP datagrams to remote hosts. There is support for FTP forwarding, transparent proxy, DNS on demand, simple round-robin load-balacing, external destination selectors and other minor features.

This author's English skills are very bad as he's not a native speaker of that language -- please feel free to contribute fixes for this page if you can.

OPTIONS
The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Shows summary of options.

-v, --version
    Shows program version.

-d, --debug
    This option increases logging verbosity for debug. Up to 3 switches are meaningful. Failure messages are sent to the system log under daemon facility.

-g, --foreground
    Specify this option to keep the daemon running in foregroud.

-t, --transparent-proxy
    This switch enables transparent proxying. If you intend to forward data to hosts behind your masquerading firewall, you probably want this option turned on; it allows your servers to see true IP addresses of clients.

-f, --on-the-fly-dns
    Portfwd usually solves all DNS hostnames upon startup. Specify the -f option if you want the destination hostnames be updated on demand. Be aware this can affect TCP connection times and the whole UDP forwarding performance.

-c, --config config-file
    This argument allows specification of a configuration file other than the hard-coded default. config-file is the full pathname to the configuration file.

FILES

/usr/local/etc/portfwd.cfg
    Default configuration file. This may be changed by the "configure" script in compile time.

SIGNALS

SIGTERM
    If sent to Portfwd master process (the one with lowest PID), the TERM signal terminates the whole forwarding job.

SEE ALSO

http://portfwd.sf.net
    Portfwd web site at SourceForge.

portfwd.cfg(5)
    Portfwd configuration reference.

AUTHOR
Manual page loosely written by
Éverton da Silva Marques <evertonsm at yahoo dot com dot br>